Skip to main content
PATCH
/
v1
/
annotation-queues
/
{queueId}
Update annotation queue
curl --request PATCH \
  --url https://api.agentmark.co/v1/annotation-queues/{queueId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Agentmark-App-Id: <api-key>' \
  --data '
{
  "description": "<string>",
  "instructions": "<string>",
  "name": "<string>",
  "reviewers_required": 2,
  "score_config_names": [
    "<string>"
  ],
  "status": "active"
}
'
{
  "data": {
    "app_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "description": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "instructions": "<string>",
    "name": "<string>",
    "reviewers_required": 2,
    "score_config_names": [
      "<string>"
    ],
    "status": "active",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-Agentmark-App-Id
string
header
required

Application ID for tenant scoping

Authorization
string
header
required

API key (sk_agentmark_*)

Headers

X-Agentmark-App-Id
string
required

Application ID for tenant scoping.

Path Parameters

queueId
string<uuid>
required

Body

application/json
description
string | null
Maximum string length: 1000
instructions
string | null
Maximum string length: 5000
name
string
Required string length: 1 - 255
reviewers_required
integer
Required range: x >= 1
score_config_names
string[] | null
status
enum<string>
Available options:
active,
completed,
archived

Response

Queue updated.

data
object
required